<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.List" %>
<%@ page import="java.util.HashMap,java.util.LinkedHashMap" %>
<%@ page import="java.util.Map,java.util.Iterator" %>
<%@ page import="java.sql.ResultSet,java.sql.ResultSetMetaData" %>
<%@ include file="inc/config.jsp" %>
<%@ include file="inc/functions.jsp" %>
<%
if(!"yes".equals(session.getAttribute(sid+"login"))){
	response.sendRedirect("login.jsp");
	return;
}
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>jSQL Manager - Javawind 在线数据库控制台</title>
<meta name="author" content="http://blog.javawind.net" />
<link type="text/css" rel="StyleSheet" href="images/style.css" />
<script type="text/javascript" src="scripts/system.js"></script>
<script type="text/javascript" src="scripts/table.js"></script>
</head>
<body>

<%if("to_create".equals(action)){%>
<table id="fieldTable" border="1" bordercolor="#BBBBBB" cellspacing="1" cellpadding="2" style="border-collapse:collapse;">
<tr><th width="16"><img src="images/primary.gif" alt="" /></th><th>列名</th><th>类型</th><th>NULL</th><th>默认值</th><th>备注</th></tr>
<%for(int i=0;i<6;i++){%>
<tr id="f<%=i%>">
	<td><%if(i==0){%><input type="checkbox" name="fieldkey" value="true" checked="checked" title="主键" /><%}else{%>&nbsp;<%}%></td>
	<td><input type="text" name="fieldname" size="15" maxlength="30" /></td>
	<td><%=getFieldSelect(df.getDb().getDbtype(),i,"",0)%></td>
	<td align="center"><input type="checkbox" name="fieldnull" value="true" title="是否允许空值" /></td>
	<td><input type="text" name="fieldvalue" size="10" maxlength="30" /></td>
	<td><input type="text" name="fieldtext" size="15" maxlength="30" /></td>
</tr>
<%}%>
<tr>
	<th><a href="javascript:addField();" title="增加列"><img src="images/dtree/add.gif" alt="增加列" /></a></th>
	<th align="left" colspan="4">
		<b>表名：</b><input type="text" name="tablename" size="15" maxlength="30" /> &nbsp; &nbsp;
		<b>注释：</b><input type="text" name="comment" size="15" maxlength="30" />
	</th>
	<th><input type="button" name="createSQL" onclick="javascript:createTable(<%=df.getDb().getDbtype()%>);" value=" 生成SQL " class="btn1" onmouseover="this.className='btn1'" onmouseout="this.className='btn2'" /></th>
</tr>
</table>
<%}else if("to_modify".equals(action)){
	HashMap treeMap = (HashMap)session.getAttribute(sid+"treeMap");
	LinkedHashMap tables = (LinkedHashMap)treeMap.get("tables");
	LinkedHashMap comments = (LinkedHashMap)treeMap.get("comments");
	List fields = (List)tables.get(name);
	String comment = (String)comments.get(name);
	comment = comment==null?"":comment;
%>
	<table id="fieldTable" border="1" bordercolor="#BBBBBB" cellspacing="1" cellpadding="2" style="border-collapse:collapse;">
	<tr><th>&nbsp;</th><th>列名</th><th>类型</th><th>NULL</th><th>默认值</th><th>备注</th><th>修改</th></tr>
	<%for(int i=0;i<fields.size();i++){		
		String[] field = fixStr(fields.get(i)).split(",");				
		String fieldName = field[1];
		String fieldType = field[2]+"("+field[3]+")";		
		String fieldNull = field[4];
		String fieldValue = field[5];
		String fieldText = field[6];
		%>
	<tr id="f<%=i%>">
		<td><a href="javascript:deleteField(<%=df.getDb().getDbtype()%>,'<%=name%>','<%=fieldName%>');" title="删除列"><img src="images/dtree/del.gif" alt="删除列" /></a></td>
		<td><input type="text" name="fieldname" value="<%=fieldName%>" size="15" maxlength="30"  disabled="disabled" /></td>
		<td><%=getFieldSelect(df.getDb().getDbtype(),i,fieldType,1)%></td>
		<td align="center"><input type="checkbox" name="fieldnull" value="true" <%=fieldNull.indexOf("NOT")>=0?"":"checked=\"checked\""%> title="是否允许空值"  disabled="disabled"/></td>
		<td><input type="text" name="fieldvalue" value="<%=fieldValue%>" size="10" maxlength="30" disabled="disabled"/></td>
		<td><input type="text" name="fieldtext" value="<%=fieldText%>" size="15" maxlength="30" disabled="disabled"/></td>
		<td align="center">
			<input type="hidden" name="ofieldname" value="<%=fieldName%>" />
			<input type="hidden" name="ofieldtype" value="<%=fieldType%>" />
			<input type="hidden" name="ofieldnull" value="<%=fieldNull%>" />
			<input type="hidden" name="ofieldvalue" value="<%=fieldValue%>" />
			<input type="hidden" name="ofieldtext" value="<%=fieldText%>" />
			<input type="checkbox" name="fieldflag" value="true" onclick="modifyField('f<%=i%>',this)" title="必须选中才允许修改" />
		</td>
	</tr>
	<%}%>
	<tr>
		<th><a href="javascript:addField(1);" title="增加列"><img src="images/dtree/add.gif" alt="增加列" /></a></th>
		<th align="left" colspan="4">
			<input type="hidden" name="oldtname" value="<%=name%>" />
			<input type="hidden" name="oldcomment" value="<%=comment%>" />
			<b>表名：</b><input type="text" name="tablename" value="<%=name%>" size="15" maxlength="30" /> &nbsp; &nbsp;			
			<b>注释：</b><input type="text" name="comment" value="<%=comment%>" size="15" maxlength="30" />
		</th>
		<th colspan="2"><input type="button" name="createSQL" onclick="javascript:modifyTable(<%=df.getDb().getDbtype()%>);" value=" 生成SQL " class="btn1" onmouseover="this.className='btn1'" onmouseout="this.className='btn2'" /></th>
	</tr>
	</table>
<%}%>

<form action="main.jsp?action=execute&amp;alert=true&amp;t=<%=System.currentTimeMillis()%>" target="hiddenframe" method="post">
	<br/>
	<textarea name="sqltext" id="sqltext" style="width:100%;height:100px;" onkeyup="autoHeight(this);"></textarea>
	<div style="padding:5px;text-align:center;"><input type="submit" name="Submit" value="Execute" class="btn1" onmouseover="this.className='btn1'" onmouseout="this.className='btn2'" /></div>
</form>
<iframe name="hiddenframe" style="display:none;"></iframe>

</body>
</html>
<%df.closeConn();%>