<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.io.File,java.io.FileInputStream,javax.servlet.ServletOutputStream" %>
<%@ page import="java.sql.ResultSet,java.sql.ResultSetMetaData" %>
<%@ include file="inc/config.jsp" %>
<%
if(!"yes".equals(session.getAttribute(sid+"login"))){
	response.sendRedirect("login.jsp");
	return;
}

String basePath = request.getSession().getServletContext().getRealPath("/data/");
if(!(new File(basePath)).exists()){
	(new File(basePath)).mkdirs();
}

String sqlStr = request.getParameter("sqlStr");
int exportType= Integer.parseInt(request.getParameter("exportType"));
String fileType="",contentType="";
if(exportType==0){
	fileType = ".sql";
	contentType = "text/plain";
}
else if(exportType==1){
	fileType = ".xls";
	contentType = "application/vnd.ms-excel";
}

String filePath = basePath +System.currentTimeMillis()+fileType;
String fileName = "data_export"+fileType; //要下载的文件名
if(!"SUCCESS".equals(df.export(exportType,sqlStr,filePath))){
	out.println("导出文件出错：");
	return;
}

out.clear();
out = pageContext.pushBody();

FileInputStream fis = null; //输入流
ServletOutputStream sos = null; //输出流 

try {
	response.setContentType(contentType+"; charset=UTF-8");
	response.setHeader("Content-disposition","attachment; filename=" + fileName);

	fis = new FileInputStream(filePath); //读入文件
	sos = response.getOutputStream();
	sos.flush();
	int aRead = 0;
	while ((aRead = fis.read()) != -1 & fis != null) {
		sos.write(aRead);
	}
	sos.flush();	
} catch (Throwable e) {
}
finally {
	try {
		fis.close();
		sos.close();
		File file = new File(filePath);
		if(file.exists()){
			file.delete();
		}
	} catch (Throwable e) {}
}
%>