<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%!
//通用函数方法
public String fixStr(Object object){
	if(object==null){
		return "";
	}
	else{
		return object.toString().trim();
	}
}
public String getStr(Object object){
	if(object==null){
		return "<font color=\"gray\">NULL</font>";
	}
	String str = this.formatHtml(object);
	if(str.equals("")){
		str = "&nbsp;";
	}
	return str;
}
public String formatHtml(Object str){
	String strs="";
	if(str==null || str.equals("")){
		strs="";
	}
	else{
		strs=str.toString().trim();
		strs=strs.replaceAll("&amp;","&");
		strs=strs.replaceAll("&","&amp;");
		strs=strs.replaceAll("<","&lt;");
		strs=strs.replaceAll(">","&gt;");
		strs=strs.replaceAll("\n","<br/>");
	}
	return strs;
}

private static final String mysql_ft = "int(自动编号)|bigint(10)|blob|char(10)|date|datetime|decimal(8,2)|enum('Y','N')|int(10)|longblob|longtext|mediumint(9)|mediumtext|set('a','b','c')|smallint(6)|text|timestamp|tinyint(3)|varchar(50)";
private static final String mssql_ft = "int(自动编号)|bigint|binary(50)|bit|char(10)|datetime|decimal(18,0)|float|image|int|money|nchar(10)|ntext|numeric(18,0)|nvarchar(50)|real|smalldatetime|smallint|smallmoney|"
				+ "sql_variant|text|timestamp|tinyint|uniqueidentifier|varbinary(50)|varchar(50)|xml";
private static final String oracle_ft = "bigint|binary(50)|bit|char(10)|datetime|decimal(18,0)|float|image|int|money|nchar(10)|ntext|numeric(18,0)|nvarchar(50)|real|smalldatetime|smallint|smallmoney|"
	+ "sql_variant|text|timestamp|tinyint|uniqueidentifier|varbinary(50)|varchar(50)|xml";

public String getFieldSelect(int dbType,int row,String value,int d){	
	String[] fieldTypes = null;
	switch(dbType){
		case 0:fieldTypes=mssql_ft.split("\\|");break;
		case 1:fieldTypes=mysql_ft.split("\\|");break;
		case 2:fieldTypes=oracle_ft.split("\\|");break;
	}
	String fieldSelect = "<select name=\"fieldtype\""+(d==1?"  disabled=\"disabled\"":"")+">";
	for(int i=0;i<fieldTypes.length;i++){		
		if(i==0 && !"".equals(value)){
			fieldSelect += "<option value=\""+value+"\" selected=\"selected\">"+value+"</option>";
		}
		if(i==0 && row>0){continue;}
		fieldSelect += "<option value=\""+fieldTypes[i]+"\">"+fieldTypes[i]+"</option>";
	}
	fieldSelect += "</select>";
	return fieldSelect;
}
%>