<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%!
//MSSQL Server
public java.util.HashMap getMssqlMap(){
	java.util.HashMap mssqlMap = new java.util.HashMap();
	
	//创建视图
	String createView = "CREATE VIEW [ViewName] AS SELECT ";
	mssqlMap.put("createView",createView);
	
	//创建索引
	String createIndex = "CREATE NONCLUSTERED INDEX [IndexName] ON [TableName] ([ColumnName] ASC)"
		+"\r\n WITH(PAD_INDEX=OFF, SORT_IN_TEMPDB=OFF, DROP_EXISTING=OFF, IGNORE_DUP_KEY=OFF, ONLINE=OFF)ON [PRIMARY]";
	mssqlMap.put("createIndex",createIndex);
	
	//创建触发器
	String createTrigger = "CREATE TRIGGER [TriggerName] ON [TableName] AFTER Insert"
		+"\r\nAS"
		+"\r\nBEGIN"
		+"\r\nSET NOCOUNT ON;"
		+"\r\n-- Insert statements for trigger here"
		+"\r\nEND";
	mssqlMap.put("createTrigger",createTrigger);
	
	//创建存储过程
	String createProcdure = "CREATE PROCEDURE [ProcName]"
		+"\r\n @Param1 varchar(500) = '',"
		+"\r\n @Param2 int = 0"
		+"\r\nAS";
	mssqlMap.put("createProcdure",createProcdure);
	
	//创建函数
	String createFunction = "CREATE FUNCTION FuncName() RETURNS INT"
		+"\r\n BEGIN"
		+"\r\n RETURN '';"
		+"\r\n END";
	mssqlMap.put("createFunction",createFunction);
	
	return mssqlMap;
}
%>
<%!
//MySQL
public java.util.HashMap getMysqlMap(){
	java.util.HashMap mysqlMap = new java.util.HashMap();
		
	//创建视图
	String createView = "CREATE OR REPLACE VIEW `new_view` AS SELECT ";
	mysqlMap.put("createView",createView);
	
	//创建触发器
	String createTrigger = "CREATE TRIGGER new_trigger AFTER INSERT ON table_name FOR EACH ROW"
		+"\r\n BEGIN"
		+"\r\n END";
	mysqlMap.put("createTrigger",createTrigger);
	
	//创建存储过程
	String createProcdure = "CREATE PROCEDURE `new_proc`()"
		+"\r\n BEGIN"
		+"\r\n "
		+"\r\n END";
	mysqlMap.put("createProcdure",createProcdure);
	
	//创建函数
	String createFunction = "CREATE FUNCTION `new_func` () RETURNS INT"
		+"\r\n BEGIN"
		+"\r\n RETURN '';"
		+"\r\n END";	
	mysqlMap.put("createFunction",createFunction);
	
	return mysqlMap;
}
%>
<%!
//Oracle
public java.util.HashMap getOracleMap(){
	java.util.HashMap oracleMap = new java.util.HashMap();
		
	//创建视图
	String createView = "CREATE OR REPLACE VIEW \"new_view\" AS SELECT ";
	oracleMap.put("createView",createView);
	
	//创建触发器
	String createTrigger = "CREATE OR REPLACE TRIGGER \"new_trigger\" AFTER INSERT ON table_name FOR EACH ROW"
		+"\r\n BEGIN"
		+"\r\n "
		+"\r\n END";
	oracleMap.put("createTrigger",createTrigger);
	
	//创建存储过程
	String createProcdure = "CREATE OR REPLACE PROCEDURE new_proc()"
		+"\r\n BEGIN"
		+"\r\n "
		+"\r\n END";
	oracleMap.put("createProcdure",createProcdure);
	
	//创建函数
	String createFunction = "CREATE OR REPLACE FUNCTION new_func()"
		+"\r\n BEGIN"
		+"\r\n RETURN '';"
		+"\r\n END";
	oracleMap.put("createFunction",createFunction);
	
	return oracleMap;
}
%>