<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.List" %>
<%@ page import="java.util.HashMap,java.util.LinkedHashMap" %>
<%@ page import="java.util.Map,java.util.Iterator" %>
<%@ page import="java.sql.ResultSet,java.sql.ResultSetMetaData" %>
<%@ page import="net.javawind.jsql.core.DbTree" %>
<%@ include file="inc/config.jsp" %>
<%@ include file="inc/functions.jsp" %>
<%@ include file="inc/sqlstring.jsp" %>
<%
if(!"yes".equals(session.getAttribute(sid+"login"))){
	response.sendRedirect("login.jsp");
	return;
}

String skipsplit = fixStr(request.getParameter("skipsplit"));
LinkedHashMap result = new LinkedHashMap();
if("execute".equals(action)){	
	if(!"".equals(sqltext)){		
		df.execute(sqltext,skipsplit);
		result = df.getResult();
	}
}
else if(fixStr(action).indexOf("create")!=-1){
	HashMap sqlstrMap = new HashMap();
	switch(df.getDb().getDbtype()){
	case 0:sqlstrMap=this.getMssqlMap();break;
	case 1:sqlstrMap=this.getMysqlMap();break;
	case 2:sqlstrMap=this.getOracleMap();break;
	}
	sqltext = fixStr(sqlstrMap.get(action));
	skipsplit = "true";
}
else if(fixStr(action).indexOf("export")!=-1 && !"".equals(fixStr(name))){
	sqltext = df.getObjcetSource(action,name);
	skipsplit = "true";
}
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>jSQL Manager - Javawind 在线数据库控制台</title>
<meta name="author" content="http://blog.javawind.net" />
<link type="text/css" rel="StyleSheet" href="images/style.css" />
<script type="text/javascript" src="scripts/system.js"></script>
<script type="text/javascript">
window.onload=function(){
	autoHeight($("sqltext"));
};
</script>
</head>
<body>

<form action="?action=execute&amp;t=<%=System.currentTimeMillis()%>#result" method="post">
	SQL： &nbsp; <input type="checkbox" name="skipsplit" id="skipsplit" value="true" <%=("true".equals(skipsplit)?"checked=\"checked\"":"")%> /><label title="一般每个分号是一个独立的SQL语句，但存储过程或者方法函数等可能带有分号，则应该选中此项！" for="skipsplit">取消分号分隔</label> <br/>
	<textarea name="sqltext" id="sqltext" style="width:100%;height:100px;" onkeyup="autoHeight(this);"><%=fixStr(sqltext)%></textarea>
	<div style="padding:5px;text-align:center;"><input type="submit" name="Submit" value="Execute" class="btn1" onmouseover="this.className='btn1'" onmouseout="this.className='btn2'" /></div>
	<br/>
</form>
<a name="result"></a>
<div id="resultList">
<%	
for(Iterator iter = result.entrySet().iterator();iter.hasNext();){//resultList
       Map.Entry element = (Map.Entry)iter.next(); 
       String key = fixStr(element.getKey());
       Object obj = element.getValue();
               
       if(key.startsWith("ex_")){%>
		<font color="red">*错误信息：<%=getStr(obj)%></font><br/><br/>
	<%}
       else if(key.startsWith("int_")){%>
		<font color="green"><b>-SQL执行成功：<%=obj%>行受影响。</b></font><br/><br/>
	<%}
       else if(key.startsWith("ResultSet_")){//rsList
		ResultSet rs = (ResultSet)obj;
		ResultSetMetaData rsNames=rs.getMetaData();
		int clen = rsNames.getColumnCount();
		String[] names=new String[clen];
		for(int j=0;j<clen;j++){
			names[j]=rsNames.getColumnName(j+1);
		}
		%>
		<table id="<%=key%>" border="1" bordercolor="#BBBBBB" cellspacing="1" cellpadding="1" style="border-collapse:collapse;">
		<tr class="td0b"><td nowrap="nowrap">&nbsp;</td><%for(int j=0;j<names.length;j++){%><td nowrap="nowrap"><%=names[j]%></td><%}%></tr>
		<%
		int count=0;
		while (rs.next()){
			count=count+1;%>
		<tr class="td<%=(count%2+1)%>"><td align="center" nowrap="nowrap"><%=count%></td><%for(int j=0;j<names.length;j++){%><td><%=getStr(rs.getObject(j+1))%></td><%}%></tr>
		<%}%>
		<tr>
			<td colspan="<%=names.length+1%>" class="td0" style="padding:3px;">
			<form action="export.jsp" method="post">
				<span style="color:blue;">查询到<%=count%>条记录。</span>
				<input type="hidden" name="sqlStr" value="<%=result.get(key.replaceAll("ResultSet_","SqlStr_"))%>" />
				导出到<input type="radio" name="exportType" value="0" checked="checked" />SQL文件
				<input type="radio" name="exportType" value="1" />Excel文件
				<input type="submit" name="sbt" value=" 确 定 " />
			</form>
			</td>
		</tr>
		</table>
		<br/>
	<%}//end rsList%>
<%}//end resultList%>
</div>


<script type="text/javascript">
if("true"=="<%=request.getParameter("alert")%>"){
	//alert($("resultList"));
	alert($("resultList").innerText);
	window.parent.parent.frames["leftFrame"].location.href = "navtree.jsp?action=refresh";
}
</script>

</body>
</html>
<%df.closeConn();%>