<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ page import="java.util.List" %>
<%@ page import="java.util.HashMap,java.util.LinkedHashMap" %>
<%@ page import="java.util.Map,java.util.Iterator" %>
<%@ page import="net.javawind.jsql.core.DbTree" %>
<%@ include file="inc/config.jsp" %>
<%@ include file="inc/functions.jsp" %>
<%
if(!"yes".equals(session.getAttribute(sid+"login"))){
	response.sendRedirect("login.jsp");
	return;
}
long begintime = System.currentTimeMillis();
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>jSQL Manager - Javawind 在线数据库控制台</title>
<meta name="author" content="http://blog.javawind.net" />
<link type="text/css" rel="StyleSheet" href="images/style.css" />
<link type="text/css" rel="StyleSheet" href="images/dtree.css" />
<script type="text/javascript" src="scripts/dtree.js"></script>
<style type="text/css">
body{
    font-size:12px;
    color:#000000;
    font-family:tahoma,宋体,fantasy;
	margin: 0 auto;
	background-color:#E4EFFC;
	margin:1px 3px 3px 3px;
}
</style>
</head>
<body>

<%
HashMap treeMap = (HashMap)session.getAttribute(sid+"treeMap");
if(treeMap==null || "refresh".equals(action)){
	treeMap = (new DbTree(df)).getTreeMap();
	session.setAttribute(sid+"treeMap",treeMap);
}
%>

<div class="dtree">
<div style="border-bottom:1px solid #8BCCF3;padding:5px;margin-bottom:10px;"><a href="javascript: d.openAll();">全部展开</a> | <a href="javascript: d.closeAll();">全部折叠</a> | <a href="?action=refresh">刷新</a> | <a href="main.jsp" target="main">SQL窗口</a></div>
<script type="text/javascript">
<!--
d = new dTree('d');
d.add(0,-1,'<%=dbname%>(<%=dbip%>)');
d.add(1,0,'数据表','','','','images/dtree/tables.gif','images/dtree/tables.gif');
d.add(2,1,'新建表','table.jsp?action=to_create','','main','images/dtree/add.gif');
<%
int t=3;

LinkedHashMap tables = (LinkedHashMap)treeMap.get("tables");
for(Iterator iter = tables.entrySet().iterator();iter.hasNext();){//tables
    Map.Entry element = (Map.Entry)iter.next(); 
    String tableName = (String)element.getKey();	    	    
	out.println("d.add("+t+",1,'"+tableName+"','table.jsp?action=to_modify&amp;name="+tableName+"','修改','main','images/dtree/table.gif','images/dtree/table.gif');");		
	int r=1;
    List fields = (List)element.getValue();
    for(int i=0;i<fields.size();i++){
    	String[] field = fixStr(fields.get(i)).split(",");
    	String fstr = "["+field[1]+"],"+field[2]+"("+field[3]+"),"+("0".equals(field[4])?"NOT NULL":"NULL");
    	if("1".equals(field[0])){    		
    		out.println("d.add("+(t+r)+","+t+",'"+fstr+"','','','','images/dtree/primary.gif');");
    	}
    	else{
    		out.println("d.add("+(t+r)+","+t+",'"+fstr+"');");
    	}
    	r++;
    }
    t+=r;
}//end tables

int r=2;
out.println("d.add("+t+",0,'视图','','','','images/dtree/view.gif');");
out.println("d.add("+(t+1)+","+t+",'新建视图','main.jsp?action=createView','','main','images/dtree/add.gif');");

List views = (List)treeMap.get("views");
for(int i=0;i<views.size();i++){
	out.println("d.add("+(t+r)+","+t+",'"+views.get(i)+"','main.jsp?action=exportView&amp;name="+views.get(i)+"','','main','images/dtree/view.gif');");
	r++;
}

t+=r;
r=2;
out.println("d.add("+t+",0,'索引','','','','images/dtree/index.gif');");
out.println("d.add("+(t+1)+","+t+",'新建索引','main.jsp?action=createIndex','','main','images/dtree/add.gif');");

List indexs = (List)treeMap.get("indexs");
for(int i=0;i<indexs.size();i++){
	out.println("d.add("+(t+r)+","+t+",'"+indexs.get(i)+"','','','main','images/dtree/index.gif');");
	r++;
}

t+=r;
r=2;
out.println("d.add("+t+",0,'触发器','','','','images/dtree/trigger.gif');");
out.println("d.add("+(t+1)+","+t+",'新建触发器','main.jsp?action=createTrigger','','main','images/dtree/add.gif');");

List triggers = (List)treeMap.get("triggers");
for(int i=0;i<triggers.size();i++){
	out.println("d.add("+(t+r)+","+t+",'"+triggers.get(i)+"','main.jsp?action=exportTrigger&amp;name="+triggers.get(i)+"','','main','images/dtree/trigger.gif');");
	r++;
}

t+=r;
r=2;
out.println("d.add("+t+",0,'存储过程','','','','images/dtree/proc.gif');");
out.println("d.add("+(t+1)+","+t+",'新建存储过程','main.jsp?action=createProcdure','','main','images/dtree/add.gif');");

List procs = (List)treeMap.get("procs");
for(int i=0;i<procs.size();i++){
	out.println("d.add("+(t+r)+","+t+",'"+procs.get(i)+"','main.jsp?action=exportProcdure&amp;name="+procs.get(i)+"','','main','images/dtree/proc.gif');");
	r++;
}

t+=r;
r=2;
out.println("d.add("+t+",0,'方法函数','','','','images/dtree/func.gif');");
out.println("d.add("+(t+1)+","+t+",'新建方法函数','main.jsp?action=createFunction','','main','images/dtree/add.gif');");

List funcs = (List)treeMap.get("funcs");
for(int i=0;i<funcs.size();i++){
	out.println("d.add("+(t+r)+","+t+",'"+funcs.get(i)+"','main.jsp?action=exportFunction&amp;name="+funcs.get(i)+"','','main','images/dtree/func.gif');");
	r++;
}
%>
d.add(<%=(t+r)%>,0,'jSQL Manager 官网','http://jsql.javawind.net','欢迎访问jSQL Manager官方网站','_blank','images/dtree/globe.gif');
document.write(d);
//-->
</script>
<br/>
<%
List errmsg = (List)treeMap.get("errmsg");
for(int i=0;i<errmsg.size();i++){
	out.println(errmsg.get(i)+"<br/>");
}
%>
</div>

<br/>
<%long endtime = System.currentTimeMillis(); %>
&nbsp;&nbsp;列表执行时间：<%=(endtime-begintime)%>毫秒。

</body>
</html>